## r-bioc-biocgenerics 0.48.1

=== DESCRIPTION ===
Package: BiocGenerics
Title: S4 generic functions used in Bioconductor
Description: The package defines many S4 generic functions used in Bioconductor.
biocViews: Infrastructure
URL: https://bioconductor.org/packages/BiocGenerics
BugReports: https://github.com/Bioconductor/BiocGenerics/issues
Version: 0.48.1
License: Artistic-2.0
Encoding: UTF-8
Author: The Bioconductor Dev Team
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
Depends: R (>= 4.0.0), methods, utils, graphics, stats
Imports: methods, utils, graphics, stats
Suggests: Biobase, S4Vectors, IRanges, GenomicRanges, DelayedArray,
        Biostrings, Rsamtools, AnnotationDbi, affy, affyPLM, DESeq2,
        flowClust, MSnbase, annotate, RUnit
Collate: S3-classes-as-S4-classes.R utils.R normarg-utils.R
        replaceSlots.R aperm.R append.R as.data.frame.R as.list.R
        as.vector.R cbind.R do.call.R duplicated.R eval.R Extremes.R
        format.R funprog.R get.R grep.R is.unsorted.R lapply.R mapply.R
        match.R mean.R nrow.R order.R paste.R rank.R rep.R
        row_colnames.R sets.R sort.R start.R subset.R t.R table.R
        tapply.R unique.R unlist.R unsplit.R relist.R var.R which.R
        which.min.R boxplot.R image.R density.R IQR.R mad.R residuals.R
        weights.R xtabs.R annotation.R combine.R dbconn.R dge.R dims.R
        fileName.R normalize.R Ontology.R organism_species.R path.R
        plotMA.R plotPCA.R score.R strand.R toTable.R type.R
        updateObject.R testPackage.R zzz.R
git_url: https://git.bioconductor.org/packages/BiocGenerics
git_branch: RELEASE_3_18
git_last_commit: 5fd6dfe
git_last_commit_date: 2023-10-31
Date/Publication: 2023-11-01
NeedsCompilation: no
Packaged: 2023-11-01 20:05:04 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.48.1-2) unstable; urgency=medium

  * Source only upload.

 -- Andreas Tille <tille@debian.org>  Thu, 14 Dec 2023 07:13:53 +0100

r-bioc-biocgenerics (0.48.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 15:59:14 +0100

## r-bioc-biocgenerics 0.50.0

=== DESCRIPTION ===
--- 
+++ 
@@ -4,7 +4,7 @@
 biocViews: Infrastructure
 URL: https://bioconductor.org/packages/BiocGenerics
 BugReports: https://github.com/Bioconductor/BiocGenerics/issues
-Version: 0.48.1
+Version: 0.50.0
 License: Artistic-2.0
 Encoding: UTF-8
 Author: The Bioconductor Dev Team
@@ -27,9 +27,10 @@
         plotMA.R plotPCA.R score.R strand.R toTable.R type.R
         updateObject.R testPackage.R zzz.R
 git_url: https://git.bioconductor.org/packages/BiocGenerics
-git_branch: RELEASE_3_18
-git_last_commit: 5fd6dfe
-git_last_commit_date: 2023-10-31
-Date/Publication: 2023-11-01
+git_branch: RELEASE_3_19
+git_last_commit: d23d8dd
+git_last_commit_date: 2024-04-30
+Repository: Bioconductor 3.19
+Date/Publication: 2024-04-30
 NeedsCompilation: no
-Packaged: 2023-11-01 20:05:04 UTC; biocbuild
+Packaged: 2024-05-01 02:45:10 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.50.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: add breaks for the pre-bioc-3.19 versions of some
    packages that depend on r-bioc-biobase for their autopkgtests, as a
    hint to not run those tests using any bioc-3.18 packages (especially
    on the 32-bit architectures).

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 26 Aug 2024 17:42:39 +0900

r-bioc-biocgenerics (0.50.0-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 16 Aug 2024 12:58:27 +0200

r-bioc-biocgenerics (0.50.0-1~0exp1) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 01 Aug 2024 10:34:58 +0200

r-bioc-biocgenerics (0.50.0-1~0exp) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Archive.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 09 Jul 2024 17:09:58 +0200

=== debian/control ===
Source: r-bioc-biocgenerics
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics.git
Homepage: https://bioconductor.org/packages/BiocGenerics/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-bioc-biocgenerics
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests},
          r-bioc-biobase (>= 2.64.0),
          r-bioc-s4vectors (>= 0.42.1),
          r-bioc-iranges (>= 2.38.1),
          r-bioc-genomicranges (>= 1.56.1),
          r-bioc-delayedarray (>= 0.30.1),
          r-bioc-biostrings (>= 2.72.1),
          r-bioc-rsamtools (>= 2.20.0),
          r-bioc-annotationdbi (>= 1.66.0),
          r-bioc-affy (>= 1.82.0),
          r-bioc-deseq2 (>= 1.44.0),
          r-bioc-annotate (>= 1.82.0)
Provides: ${R:Provides}
Breaks: r-bioc-affy (<< 1.82),
        r-bioc-affyio (<< 1.74),
        r-bioc-biocviews (<< 1.72),
        r-bioc-chemminer (<< 3.56),
        r-bioc-dnacopy (<< 1.78),
        r-bioc-ebseq (<< 2.2),
        r-bioc-fmcsr (<< 1.46),
        r-bioc-graph (<< 1.82),
        r-bioc-hypergraph (<< 1.76),
        r-bioc-lpsymphony (<< 1.32),
        r-bioc-makecdfenv (<< 1.80),
        r-bioc-metapod (<< 1.12),
        r-bioc-multtest (<< 2.60),
        r-bioc-pcamethods (<< 1.96),
        r-bioc-rbgl (<< 1.80),
        r-bioc-rhdf5lib (<< 1.26),
        r-bioc-rots (<< 1.32),
        r-bioc-snpstats (<< 1.54),
        r-bioc-sparsematrixstats (<< 1.16)
Description: generic functions for Bioconductor
 S4 generic functions needed by many other Bioconductor packages.
 .
 Bioconductor provides tools for the analysis and comprehension of
 high-throughput genomic data. Bioconductor uses the R statistical
 programming language, and is open source and open development.

## r-bioc-biocgenerics 0.52.0

=== DESCRIPTION ===
Package: BiocGenerics
Title: S4 generic functions used in Bioconductor
Description: The package defines many S4 generic functions used in Bioconductor.
biocViews: Infrastructure
URL: https://bioconductor.org/packages/BiocGenerics
BugReports: https://github.com/Bioconductor/BiocGenerics/issues
Version: 0.52.0
License: Artistic-2.0
Encoding: UTF-8
Author: The Bioconductor Dev Team
Maintainer: Hervé Pagès <hpages.on.github@gmail.com>
Depends: R (>= 4.0.0), methods, utils, graphics, stats
Imports: methods, utils, graphics, stats
Suggests: Biobase, S4Vectors, IRanges, S4Arrays, SparseArray,
        DelayedArray, HDF5Array, GenomicRanges, pwalign, Rsamtools,
        AnnotationDbi, affy, affyPLM, DESeq2, flowClust, MSnbase,
        annotate, RUnit
Collate: S3-classes-as-S4-classes.R utils.R normarg-utils.R
        replaceSlots.R aperm.R append.R as.data.frame.R as.list.R
        as.vector.R cbind.R do.call.R duplicated.R eval.R Extremes.R
        format.R funprog.R get.R grep.R is.unsorted.R lapply.R mapply.R
        match.R mean.R nrow.R order.R paste.R rank.R rep.R
        row_colnames.R saveRDS.R sets.R sort.R start.R subset.R t.R
        table.R tapply.R unique.R unlist.R unsplit.R relist.R var.R
        which.R which.min.R boxplot.R image.R density.R IQR.R mad.R
        residuals.R weights.R xtabs.R annotation.R combine.R
        containsOutOfMemoryData.R dbconn.R dge.R dims.R fileName.R
        normalize.R Ontology.R organism_species.R path.R plotMA.R
        plotPCA.R score.R strand.R toTable.R type.R updateObject.R
        testPackage.R zzz.R
git_url: https://git.bioconductor.org/packages/BiocGenerics
git_branch: RELEASE_3_20
git_last_commit: 1422115
git_last_commit_date: 2024-10-29
Repository: Bioconductor 3.20
Date/Publication: 2024-10-29
NeedsCompilation: no
Packaged: 2024-10-29 23:41:27 UTC; biocbuild

=== debian/changelog ===
r-bioc-biocgenerics (0.52.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 11 Jan 2025 14:37:45 +0100

r-bioc-biocgenerics (0.52.0-1) experimental; urgency=medium

  * Team upload.
  * Those breaks weren't useful, so remove them. (They weren't harmful
    either)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 31 Oct 2024 18:10:37 +0100

=== debian/control ===
Source: r-bioc-biocgenerics
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biocgenerics.git
Homepage: https://bioconductor.org/packages/BiocGenerics/
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-bioc-biocgenerics
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Provides: ${R:Provides}
Description: generic functions for Bioconductor
 S4 generic functions needed by many other Bioconductor packages.
 .
 Bioconductor provides tools for the analysis and comprehension of
 high-throughput genomic data. Bioconductor uses the R statistical
 programming language, and is open source and open development.
